"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
function Message(name) {
    return function (constructor) {
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(constructor))
            throw new Error("Missing message constructor.");
        constructor[exports.messageTypeKey] = name || paradigm_ui_web_shared_1.FunctionExtensions.getFunctionName(constructor);
    };
}
exports.Message = Message;
exports.messageTypeKey = "$messageType";
